<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>lsst::ap::association::association::AssociationConfig</name>
    <filename>classlsst_1_1ap_1_1association_1_1association_1_1AssociationConfig.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::ap::association::assoc_db_sqlite::AssociationDBSqliteConfig</name>
    <filename>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteConfig.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::ap::association::assoc_db_sqlite::AssociationDBSqliteTask</name>
    <filename>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</filename>
    <member kind="function">
      <type>def</type>
      <name>close</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>a1ca1b77aa2f78ead8dd6788fa0ae3a0b</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>create_tables</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>aef94f5c87539ed5b2152eea1c9cfaab0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>load_dia_objects</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>af337e38f9e33cf1036e2f0d984b2164b</anchor>
      <arglist>(self, exposure)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>load_dia_sources</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>aef722cd78729be33233a785f90815a29</anchor>
      <arglist>(self, dia_obj_ids)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>store_dia_objects</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>aab844fc4c836b3d535488eb5e3df7c23</anchor>
      <arglist>(self, dia_objects, compute_spatial_index=False, exposure=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>compute_indexer_id</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>a3be615f24eb1ae733e852c2db96fcf6d</anchor>
      <arglist>(self, sphere_point)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>store_dia_sources</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>a48a614066aaf96fb8937f188e959e700</anchor>
      <arglist>(self, dia_sources, associated_ids=None, exposure=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>store_ccd_visit_info</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>a2e7ae26dda0c8c0408fa66fe2d1a9366</anchor>
      <arglist>(self, exposure)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>dia_object_afw_schema</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>ae482cc809590315c5ce4f657a2c76345</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>dia_source_afw_schema</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1AssociationDBSqliteTask.html</anchorfile>
      <anchor>a32d0f9d712a788665e0715660f2a9d3c</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::ap::association::l1dbproto::AssociationL1DBProtoConfig</name>
    <filename>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoConfig.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::ap::association::l1dbproto::AssociationL1DBProtoTask</name>
    <filename>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoTask.html</filename>
    <member kind="function">
      <type>def</type>
      <name>load_dia_objects</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoTask.html</anchorfile>
      <anchor>abd41f440cacb081aa6b33775b95668f7</anchor>
      <arglist>(self, exposure)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>load_dia_sources</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoTask.html</anchorfile>
      <anchor>af01d1ca05e4c573a15103a7ba753a151</anchor>
      <arglist>(self, dia_obj_ids)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>store_dia_objects</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoTask.html</anchorfile>
      <anchor>ae621ddca66b74d84813d06f7bf7c05b4</anchor>
      <arglist>(self, dia_objects, compute_spatial_index=False, exposure=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>compute_indexer_id</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoTask.html</anchorfile>
      <anchor>afd79072c378e328eecb811a51906ff3c</anchor>
      <arglist>(self, sphere_point)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>store_dia_sources</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoTask.html</anchorfile>
      <anchor>a20f8a2450491342d33b9b51b268643fa</anchor>
      <arglist>(self, dia_sources, associated_ids=None, exposure=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>dia_object_afw_schema</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoTask.html</anchorfile>
      <anchor>acf36055e7841237dfa2ea82d4c1cd4cc</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>dia_source_afw_schema</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1l1dbproto_1_1AssociationL1DBProtoTask.html</anchorfile>
      <anchor>a466cdfbeb20efcf82387999be95d8f7e</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::ap::association::association::AssociationTask</name>
    <filename>classlsst_1_1ap_1_1association_1_1association_1_1AssociationTask.html</filename>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1association_1_1AssociationTask.html</anchorfile>
      <anchor>ac9cb3e13e30e64171a5c4a843773a7ce</anchor>
      <arglist>(self, dia_sources, exposure)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>associate_sources</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1association_1_1AssociationTask.html</anchorfile>
      <anchor>a6a2e60f9cbef8e61a19d58ce3abfbfe8</anchor>
      <arglist>(self, dia_objects, dia_sources)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>update_dia_objects</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1association_1_1AssociationTask.html</anchorfile>
      <anchor>a7b7cb46a7bdb920818ce7262d2d64486</anchor>
      <arglist>(self, dia_objects, updated_obj_ids, exposure)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>score</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1association_1_1AssociationTask.html</anchorfile>
      <anchor>a5de12f62f4ef9a0a7587cdad9b93d790</anchor>
      <arglist>(self, dia_objects, dia_sources, max_dist)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>match</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1association_1_1AssociationTask.html</anchorfile>
      <anchor>a2f9e23e039025f32b7ebd86ee40eaebd</anchor>
      <arglist>(self, dia_objects, dia_sources, score_struct)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::ap::association::assoc_db_sqlite::SqliteDBConverter</name>
    <filename>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1SqliteDBConverter.html</filename>
    <member kind="function">
      <type>def</type>
      <name>table_name</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1SqliteDBConverter.html</anchorfile>
      <anchor>a321f7e0dff6439c9af22708ec777c6fb</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>schema</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1SqliteDBConverter.html</anchorfile>
      <anchor>a9e9707515344a1ad3ed4983f72a12153</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>make_table_from_afw_schema</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1SqliteDBConverter.html</anchorfile>
      <anchor>a45a5d775f9fabeaadee465013f093cdd</anchor>
      <arglist>(self, table_name)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>source_record_from_db_row</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1SqliteDBConverter.html</anchorfile>
      <anchor>af252df385cc7936acabba0a8aa7cab2d</anchor>
      <arglist>(self, db_row)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>source_record_to_value_list</name>
      <anchorfile>classlsst_1_1ap_1_1association_1_1assoc__db__sqlite_1_1SqliteDBConverter.html</anchorfile>
      <anchor>a8dad4a875d7e1336f6237b8d18aba2e4</anchor>
      <arglist>(self, source_record, overwrite_dict={})</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>conf</name>
    <filename>namespaceconf.html</filename>
  </compound>
</tagfile>
